# Loki::ScopeGuardImplBase Class Reference
[Exception-safe code]

`#include <ScopeGuard.h>`

Inheritance diagram for Loki::ScopeGuardImplBase:
[legend]

List of all members.

## Protected Member Functions

| ScopeGuardImplBase (const ScopeGuardImplBase &other) throw ()
| Copy-constructor takes over responsibility from other ScopeGuard.

## Detailed Description

Base class used by all ScopeGuard implementations. All commonly used functions are in this class (e.g. - Dismiss and SafeExecute).

See Andrei's and Petru Marginean's CUJ article http://www.cuj.com/documents/s=8000/cujcexp1812alexandr/alexandr.htm

Changes to the original code by Joshua Lehrer: http://www.lehrerfamily.com/scopeguard.html

The documentation for this class was generated from the following file:

- ScopeGuard.h